[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: troubles with replication using sync-repl

Quanah Gibson-Mount wrote:
> --On Wednesday, April 12, 2006 3:42 PM +0200 Guillaume Rousse
> <Guillaume.Rousse@inria.fr> wrote:
>> Hello.
>> I'm having troubles with replication using sync-repl.
>> I first configured my provider and consumer servers as explained on
>> http://www.openldap.org/doc/admin22/syncrepl.html.
> I would advise not using syncrepl with OpenLDAP 2.2.
OK, let's use slurpd then. What about a warning in syncrepl
documentation then ?

> I would also note that:
> 2.2.23 is an ancient and known to be very buggy release.  If you are
> going to use 2.2, you should be using 2.2.30.
Unfortunatly, I can't do it without manually installing it, and losing
distribution coverage. I'd prefer to stick with this one for
maintainance sake. Otherwise I may as well switch to 2.3 branch.

> 2.3.6 was the only the third public release of OpenLDAP 2.3, and had
> many issues.  I know that the Mandriva packages are well maintained, so
> you should dump 2.3.6 immediately and use the Mandriva packages for
> 2.3.20 (or 2.3.21 if they have been created).
Same issue as before: stable distribution don't evolve anymore, apart
bugfixes and security issues. Latest stable mandriva has 2.3.6, and is
likely to stick with this version.

> Given the versions you are using, I expect you to have nothing but
> problems.

> I suggest reading over:
> <http://www.openldap.org/software/release/changes.html>
> just to get an idea of the many issues fixed just since 2.3.6.
Quite impressive, that's right. However, apart this replication issue,
everything went fine sofar. At the opposite, my previous use of
backported 2.2 branch instead of 2.1 on previous debian version lead me
to repeated unexplainable slapd freeze...